# (cg) Cheater...
%define Werror_cflags %nil

# (aco) Needed for the dri drivers
%define _disable_ld_no_undefined 1

%define git 0
%define relc 0
%define	name			mesa
%define version			7.6
%define rel			0.2

%define release			%mkrel %{rel}
%define src_type tar.bz2
%define vsuffix			%{expand:}

%if %{relc}
%define release			%mkrel 0.rc%{relc}.%{rel}
%define vsuffix -rc%{relc}
%define src_type tar.gz
%endif

%if %{git}
%if %{relc}
%define release			%mkrel 0.rc%{relc}.2.git%{git}.%{rel}
%else
%define release			%mkrel 0.git%{git}.%{rel}
%endif
%endif

%define makedepend		%{_bindir}/gccmakedep

%define eglname			mesaegl
%define glname			mesagl
%define gluname			mesaglu
%define glutname		mesaglut
%define glwname			mesaglw
%define eglmajor		1
%define glmajor			1
%define glumajor		1
%define glutmajor		3
%define glwmajor		1
%define libeglname              %mklibname %{eglname} %{eglmajor}
%define libglname		%mklibname %{glname} %{glmajor}
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libglutname		%mklibname %{glutname} %{glutmajor}
%define libglwname		%mklibname %{glwname} %{glwmajor}

# Architecture-independent Virtual provides:
%define libeglname_virt		lib%{eglname}
%define libglname_virt		lib%{glname}
%define libgluname_virt		lib%{gluname}
%define libglutname_virt	lib%{glutname}
%define libglwname_virt		lib%{glwname}

%define oldlibglname		%mklibname MesaGL 1
%define oldlibgluname		%mklibname MesaGLU 1
%define oldlibglutname		%mklibname Mesaglut 3

%define mesasrcdir		%{_prefix}/src/Mesa/
%define driver_dir		%{_libdir}/dri

%define enable_egl		0

#FIXME: (for 386/485) unset SSE, MMX and 3dnow flags
#FIXME: (for >=i586)  disable sse
#       SSE seems to have problem on some apps (gtulpas) for probing.
%define	dri_drivers_i386	"i810,i915,i965,mga,mach64,r128,r200,r300,r600,radeon,savage,sis,unichrome,tdfx,swrast"
%define	dri_drivers_x86_64	%{dri_drivers_i386}
%define	dri_drivers_ppc		"mach64,r128,r200,r300,radeon,tdfx,swrast"
%define	dri_drivers_ppc64	""
%define	dri_drivers_ia64	"i810,i915,i965,mga,r128,r200,radeon,swrast"
%define	dri_drivers_alpha	"mga,r128,r200,radeon,swrast"
%define	dri_drivers_sparc	"ffb,mach64,mga,radeon,savage,swrast"
%define dri_drivers_mipsel	"mach64,mga,r128,r200,radeon,savage,tdfx"
%define	dri_drivers		%{expand:%{dri_drivers_%{_arch}}}

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	OpenGL 2.1 compatible 3D graphics library
Group:		System/Libraries

BuildRequires:	tcl
BuildRequires:	texinfo
BuildRequires:	libxfixes-devel		>= 4.0.3
BuildRequires:	libxt-devel		>= 1.0.5
BuildRequires:	libxmu-devel		>= 1.0.3
BuildRequires:	libx11-devel		>= 1.1.3
BuildRequires:	libxdamage-devel	>= 1.1.1
BuildRequires:	libexpat-devel		>= 2.0.1
BuildRequires:	gccmakedep
BuildRequires:	x11-proto-devel		>= 7.3
BuildRequires:	libdrm-devel		>= 2.3.0

BuildRequires:	libxext-devel		>= 1.0.3
BuildRequires:	libxxf86vm-devel	>= 1.0.1
BuildRequires:	libxi-devel		>= 1.1.3

BuildRequires:	libglew-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.mesa3d.org
%if %{git}
# (cg) Current commit ref: origin/mesa_7_5_branch
Source0:	%{name}-%{git}.tar.bz2
%else
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaLib-%{version}%{vsuffix}.%{src_type}
Source1:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaDemos-%{version}%{vsuffix}.%{src_type}
Source2:	ftp://ftp.freedesktop.org/pub/mesa/%version/MesaGLUT-%{version}%{vsuffix}.%{src_type}
%endif
Source3:	make-git-snapshot.sh
Source4:	Mesa-icons.tar.bz2
Source5:	mesa-driver-install


# Instructions to setup your repository clone
# git://git.freedesktop.org/git/mesa/mesa
# git checkout mesa_7_6_branch
# git branch -b mdv-7.6-cherry-picks
# git am ../02??-*.patch
# git branch -b mdv-7.6-redhat
# git am ../03??-*.patch
# git branch -b mdv-7.6-patches
# git am ../09??-*.patch

# In order to update to the branch via patches, issue this command:
# git format-patch --start-number 100 mesa_7_6..mesa_7_6_branch | sed 's/^0\([0-9]\+\)-/Patch\1: 0\1-/'

# Cherry picks
# git format-patch --start-number 200 mesa_7_6_branch..mdv-7.6-cherry-picks
## (cg) This patch is disabled for now - need to investigate how this is fixed in master/7.5.1
#Patch200: 0200-i965-fix-memory-leak-in-context-renderbuffer-region-.patch

# Patches "liberated" from Fedora: 
# http://cvs.fedoraproject.org/viewvc/rpms/mesa/devel/
# git format-patch --start-number 300 mdv-7.6-cherry-picks..mdv-7.6-redhat
Patch300: 0300-RH-mesa-7.1-nukeglthread-debug-v1.1.patch
Patch301: 0301-RH-mesa-7.1-link-shared-v1.3.patch
Patch302: 0302-RH-intel-revert-vbl-v1.1.patch
Patch303: 0303-RH-r600-fix-tfp-v1.1.patch
Patch304: 0304-RH-mesa-7.6-hush-vblank-warning-v1.1.patch

# Mandriva patches
# git format-patch --start-number 900 mdv-7.6-redhat..mdv-7.6-patches
Patch900: 0900-DRI-modules-are-not-under-usr-X11R6-anymore.patch
Patch901: 0901-Fix-linux-dri-so-it-can-be-used-for-all-archs-thank.patch
Patch902: 0902-remove-unfinished-GLX_ARB_render_texture.patch
Patch903: 0903-Fix-NULL-pointer-dereference-in-viaXMesaWindowMoved.patch

Patch2004:     mesa_652_mips.patch

License:	MIT
Requires:	%{libglname} = %{version}-%{release}
Provides:	hackMesa = %{version}
Obsoletes:	hackMesa <= %{version}
Provides:	Mesa = %{version}
Obsoletes:	Mesa < %{version}

%if %{enable_egl}
%package -n	%{libeglname}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
Provides:	%{libeglname_virt} = %{version}-%{release}

%package -n	%{libeglname}-devel
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	EGL-devel
%endif

%package -n	%{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Obsoletes:	%{oldlibglname} < 6.4 
Provides:	%{oldlibglname} = %{version}-%{release}
Provides:	%{libglname_virt} = %{version}-%{release}

# (anssi) Forces the upgrade of x11-server-common to happen before
# alternatives removal, which allows x11-server-common to grab the symlink.
Conflicts:	x11-server-common < 1.3.0.0-17

%package -n	%{libglname}-devel
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{name} = %{version}
# (gc) /usr/lib/pkgconfig/glut.pc depends on /usr/lib/pkgconfig/{x11,xmu,xi}.pc (Requires.private) and pkg-config --list-all
# goes wild without these deps
Requires:	libx11-devel libxmu-devel libxi-devel
Provides:	lib%{glname}-devel = %{version}-%{release}
Provides:	%{glname}-devel = %{version}-%{release}
Provides:	GL-devel
Obsoletes:	%{oldlibglname}-devel < 6.4
Provides:	%{oldlibglname}-devel = %{version}-%{release}
Provides:	libMesaGL-devel = %{version}-%{release}
Provides:	MesaGL-devel = %{version}-%{release}

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Obsoletes:	%{oldlibgluname} < 6.4
Provides:	%{oldlibgluname} = %{version}-%{release}
Provides:	%{libgluname_virt} = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Obsoletes:	%{oldlibgluname}-devel < 6.4
Provides:	%{oldlibgluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release} 

%package -n	%{libglutname}
Summary:	Files for Mesa (glut libs)
Group:		System/Libraries
Requires:	%{libgluname} = %{version}-%{release}
Provides:	Mesa-common = %{version}-%{release} hackMesa-common = %{version}
Obsoletes:	Mesa-common <= %{version} hackMesa-common <= %{version}
Obsoletes:	%{oldlibglutname} < 6.4
Provides:	%{oldlibglutname} = %{version}-%{release}
Provides:	%{libglutname_virt} = %{version}-%{release}

%package -n	%{libglutname}-devel
Summary:	Development files for glut libs
Group:		Development/C
Requires:	%{libglutname} = %{version}-%{release} %{libgluname}-devel = %{version}-%{release}
Provides:	lib%{glutname}-devel = %{version}-%{release} 
Provides:	%{glutname}-devel = %{version}-%{release} 
Obsoletes:	%{oldlibglutname}-devel < 6.4
Provides:	%{oldlibglutname}-devel = %{version}-%{release}
Provides:	libMesaGLUT-devel = %{version}-%{release}
Provides:	MesaGLUT-devel = %{version}-%{release}

%package -n	%{libglwname}
Summary:	Files for Mesa (glw libs)
Group:		System/Libraries
Provides:	Mesa-common = %{version}-%{release} hackMesa-common = %{version}
Obsoletes:	Mesa-common <= %{version} hackMesa-common <= %{version}
Provides:	%{libglwname_virt} = %{version}-%{release}

%package -n	%{libglwname}-devel
Summary:	Development files for glw libs
Group:		Development/C
Requires:	%{libglwname} = %{version}-%{release}
Provides:	lib%{glwname}-devel = %{version}-%{release} 
Provides:	%{glwname}-devel = %{version}-%{release} 

%package	common-devel
Summary:	Meta package for mesa devel
Group:		Development/C
Provides:	Mesa-common-devel = %{version}-%{release} 
Provides:	hackMesa-common-devel = %{version}
Obsoletes:	Mesa-common-devel < %{version} 
Obsoletes:	hackMesa-common-devel < %{version}
Requires:	%{libglname}-devel = %{version}
Requires:	%{libglwname}-devel = %{version}
Requires:	%{libgluname}-devel = %{version}
Requires:	%{libglutname}-devel = %{version}

%package	demos
Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Group:		Graphics
Requires:	%{name} >= %{version}
Provides:	hackMesa-demos = %{version}
Obsoletes:	hackMesa-demos <= %{version}
Obsoletes: 	Mesa-demos < 6.4
Provides:	Mesa-demos = %{version}-%{release}

%description
Mesa is an OpenGL 2.1 compatible 3D graphics library.

%description common-devel
Mesa common metapackage devel

%if %{enable_egl}
%description -n	%{libeglname}
Mesa is an OpenGL 2.1 compatible 3D graphics library.
EGL parts.

%description -n	%{libeglname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
EGL development parts.
%endif

%description -n	%{libglname}
Mesa is an OpenGL 2.1 compatible 3D graphics library.
GL and GLX parts.

%description -n	%{libglname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.

This package contains the headers needed to compile Mesa programs.

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%description -n	%{libglutname}
GLUT (OpenGL Utility Toolkit) is a addon library for OpenGL programs. It
provides them utilities to define and control windows, input from the keyboard
and the mouse, drawing some geometric primitives (cubes, spheres, ...).
GLUT can even create pop-up windows.

%description -n	%{libglutname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
glut parts.

This package contains the headers needed to compile Mesa programs.

%description -n	%{libglwname}
GLw adds Motif bindings to the OpenGL "canvas" (Xt/Motif/OpenGL widget code).

%description -n	%{libglwname}-devel
Mesa is an OpenGL 2.1 compatible 3D graphics library.
GLw parts.

This package contains the headers needed to compile Mesa programs.

%description	demos
Mesa is an OpenGL 2.1 compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%prep
%if %{git}
%setup -q -n mesa-%{git}
%else
%setup -q -n Mesa-%{version}%{vsuffix} -b1 -b2
%endif

%apply_patches

%if %{enable_egl}
# (cg) Need to fix this post 7.4.1 - patch not yet migrated
#patch1001 -p1
%endif

pushd progs/demos && {
	for i in *.c; do 
	perl -pi -e "s|\.\./images/|%{_libdir}/mesa-demos-data/|" $i ; 
	done 
	perl -pi -e "s|isosurf.dat|%{_libdir}/mesa-demos-data/isosurf.dat|" isosurf.c 
} && popd
pushd progs/xdemos && {
	for i in *.c; do 
	perl -pi -e "s|\.\./images/|%{_libdir}/mesa-demos-data/|" $i ; 
	done 
} && popd

chmod +x %{SOURCE5}

%build
%if %{git}
./autogen.sh -v
%endif
LIB_DIR=%{_lib}
INCLUDE_DIR=$RPM_BUILD_ROOT%{_includedir}
DRI_DRIVER_DIR="%{driver_dir}"
export LIB_DIR INCLUDE_DIR DRI_DRIVER_DIR

# (blino) strict aliasing is known to break some Mesa code
#   https://bugs.freedesktop.org/show_bug.cgi?id=6046
#   https://bugs.freedesktop.org/show_bug.cgi?id=9456
# (blino) tree VRP in gcc-4.2.1 triggers misrendering in Blender,
#         and hard lock with compiz (in r300_state.c)
#   https://bugs.freedesktop.org/show_bug.cgi?id=11380
#   http://gcc.gnu.org/bugzilla/show_bug.cgi?id=32544
# (tv) -O1 fixe some freeze on r200 (http://bugs.freedesktop.org/show_bug.cgi?id=10224)
ARCH_FLAGS="$RPM_OPT_FLAGS -O1 -fno-strict-aliasing -fno-tree-vrp"
export ARCH_FLAGS

%configure2_5x	--with-driver=dri \
		--with-dri-driverdir=%{driver_dir} \
		--with-dri-drivers="%{dri_drivers}" \
		--disable-gallium \
%if %{enable_egl}
		--enable-egl \
%else
		--disable-egl \
%endif
		--with-demos

# (cg) Parallel build breaks the dricore shared stuff.
make -j 1

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
for demo in `find progs/demos -type f -perm /a+x` `find progs/xdemos -type f -perm /a+x`; do
    cp -v $demo %{buildroot}/%{_bindir}
done

# (fg) So that demos at least work :)
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mesa-demos-data
cp -v progs/images/*rgb progs/demos/isosurf.dat %{buildroot}/%{_libdir}/mesa-demos-data


# (blino) hardlink libGL files in %{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mesa
pushd $RPM_BUILD_ROOT%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

# icons for three demos examples [we lack a frontend
# to launch the demos obviously]
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar jxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

# clean any .la file with still reference to tmppath.
perl -pi -e "s|\S+$RPM_BUILD_DIR\S*||g" $RPM_BUILD_ROOT/%{_libdir}/*.la

%ifarch %{x86_64}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/dri
%endif

# (cg) I'm not really sure about these files, but they do conflict in some capacity so I'll
#      just trash them for now.
rm -f $RPM_BUILD_ROOT%{_includedir}/GL/{glew,glxew,wglew}.h

%clean
rm -fr $RPM_BUILD_ROOT

%if %{enable_egl}
%if %mdkversion < 200900
%post -n %{libeglname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libeglname} -p /sbin/ldconfig
%endif
%endif

%if %mdkversion < 200900
%post -n %{libglname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libglname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libgluname} -p /sbin/ldconfig 
%endif

%if %mdkversion < 200900
%postun -n %{libgluname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%post -n %{libglutname} -p /sbin/ldconfig 
%endif

%if %mdkversion < 200900
%postun -n %{libglutname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc docs/COPYING docs/README.*

%if %{enable_egl}
%files -n %{libeglname}
%defattr(-,root,root)
%{_libdir}/libEGL.so.1*
%{_libdir}/libegldri.so.1*

%files -n %{libeglname}-devel
%defattr(-,root,root)
%{_libdir}/libEGL.so
%{_libdir}/libegldri.so
%{_includedir}/gles/egl*.h
%endif

%files -n %{libglname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGL.so.*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.*
%ifnarch ppc64
%dir %{_libdir}/dri
%{_libdir}/dri/*
%endif
%ifarch %{x86_64}
%{_prefix}/lib/dri
%endif

%files -n %{libglname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/osmesa.h
%{_includedir}/GL/wglext.h
%ifnarch ia64 alpha
%{_includedir}/GL/svgamesa.h
%endif
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%{_libdir}/libGL.so
%_libdir/pkgconfig/*.pc

#FIXME: check those headers
%{_includedir}/GL/mglmesa.h
%{_includedir}/GL/dmesa.h
%{_includedir}/GL/ggimesa.h
%{_includedir}/GL/glfbdev.h
%{_includedir}/GL/vms_x_fix.h
%{_includedir}/GL/wmesa.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

%files -n %{libgluname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLU.so.*

%files -n %{libglutname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libglut.so.*

%files -n %{libglwname}
%defattr(-,root,root)
%doc docs/COPYING
%{_libdir}/libGLw.so.*


%files -n %{libgluname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_includedir}/GL/mesa_wgl.h
%{_libdir}/libGLU.so

%files -n %{libglutname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/glut.h
%{_includedir}/GL/glutf90.h
%{_libdir}/libglut.so

%files common-devel
%defattr(-,root,root)

%files -n %{libglwname}-devel
%defattr(-,root,root)
%doc docs/COPYING
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h
%{_libdir}/libGLw.so

%files demos
%defattr(-,root,root)
%doc docs/COPYING
%{_bindir}/*
%dir %{_libdir}/mesa-demos-data
%{_libdir}/mesa-demos-data/*
%{_miconsdir}/*demos*.png
%{_iconsdir}/*demos*.png
%{_liconsdir}/*demos*.png



%changelog
* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 7.6-0.2mdv2010.0
+ Revision: 454844
- enable r600 3D driver too
- fix URL
- patch 201: upstream fix for black screen (eg: mplayer -vo gl with r300 card)
- rebuild early 2009.0 package (before pixel changes)
- kill re-definition of %%buildroot on Pixel's request
- stop packaging obsolete RELNOTES-[34].*
- patch 60: fix build
- new release
- kill patches 44, 46, 47, 100, 101, 102 & 103 (merged upstream)
- make it --short-circuit-able
- kill patch 6, now unneeded (added in 6.5-8mdv2007.0, sent by Sebastien savari):
  "static inline functions are broken on some architetures"
- remove patch 9 (fix compiling on x86_64) that I introduced in 6.5-8mdv2007.0
  since it's now unneeded
- compile with -O1 since it fixes some freeze on r200 (fd.o bug #10224)
- remove suspicious patch 7 (added by boiko in 6.5-8mdv2007.0, sent by Sebastien
  savari): "in some cases radeon may have 0 bits depth"
- new release

  + Colin Guthrie <cguthrie@mandriva.org>
    - New version: 7.6
    - Refresh Fedora patches
    - Branch for testing 7.6
    - Add build fix (cherry-picked from 7.5.2 branch)
    - New version: 7.5.1
    - Drop upstream patches
    - Do not apply master cherry-pick for now until I can research the solution more
    - Disable parallel make as it causes issues with the shared dricore
    - Update to the latest 7.5-branch which fixes issues for intel stuff in rc4.
    - Add upstream patch for intel memory leak (fdo#20704)
    - Remove upstream patch that causes problems with compiz (fdo#20704)
    - Actually apply the patches I added in the last release (*sigh*)
    - Add upstream patch for memory leak and proposed patch from intel-gfx list
    - Update to RC3
    - New version: 7.4.1
    - Break egl support (it was disabled anyway)
    - Update to recent git snapshot
    - Liberate patches from Fedora
    - Convert out patches to git for simpler management
    - Drop unneeded patches
    - Build swrast after the others.. note to self: *test* after making last minute changes
    - Build swrast driver explicitly
    - Update mesa to post-7.2 snapshot (as used by fedora)
    - Adapt some patches
    - Liberate some fedora patches
    - Enable i915tex driver (needs new drm/kernel bits to activate)

  + Anssi Hannula <anssi@mandriva.org>
    - remove duplicate libdricore.so (it already exists in /usr/lib/dri/)
    - rebuild due to package loss
    - remove GL.conf alternative, moved to x11-server-common

  + Olivier Blin <oblin@mandriva.com>
    - merge mips changes (from Arnaud Patard)
    - restore BuildRoot
    - mention OpenGL 2.1 support in description and summary (from JLP, #33115)
    - restore gcc options, wrongly modified in commit 69003
    - fix glxinfo segfault with unichrome DRI (reported as upstream bug 12097)
    - fix potential NULL dereference in unichrome (freedesktop bug 11879)
    - add support for Intel 965GME/GLE (from upstream git)
    - add support for Intel G33, Q33, and Q35 chipsets (from upstream git)
    - add support for Intel 945GME (from upstream git)
    - build with -fno-tree-vrp to fix r300 misrenderings/freezes
    - re-enable parallel build

  + Guillaume <gc@mandriva.com>
    - bump release
    - add Requires: to workaround buggy pkg-config on mismet private dependencies

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - Update to version 7.5
    - update to 7.5 RC4
    - drop patch 101 (applied upstream)
    - update to 7.5-rc2
    - fix build failure
    - update to 7.5-rc1
    - drop patch 100 (applied upstream)
    - New version: 7.3
    - Update to git tag mesa_7_3_rc2
    - Disables i915tex dri driver.
    - Update to version 7.0.4

  + Christiaan Welvaart <spturtle@mandriva.org>
    - disable patch301 because it does not support r200

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Make libmesagl owner of  %%{_prefix}/lib/dri on x86_64 (32 bit binaries).
    - Update to version 7.0.3.
      Also use gccmakedep instead of makedepend by default, but make it
      configurable. This should remove more than half of the compile warnings,
      due to makedepend not finding several dependencies.
    - Actually add patches to update documentation, version (7.0.3 rc 2), and
      add two files not available in the "official" 7.0.2 tarball.
    - Add bug fixes from mesa stable branch. Basically:
        git format-patch mesa_7_0_2..origin/mesa_7_0_branch
      but did not add patches that are not bug fixes, so this should be very
      close to mesa 7.0.3 rc2 without the documentation updates.
      This also has the side effect of "automatically" enabling fortran
      support, that has been asked by a user.
    - Update BuildRequires.
      Needs to add xgixp and nouveau dri modules.
      Mesa 7.0.3 is expected to be released in 1 to 2 weeks, so no more changes
      to package should be done until the next release.

  + Lev Givon <lev@mandriva.org>
    - Add arch-independent provides to library packages.

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - adding one more patch from claudio as a fix for #34090
      (metisse/neverball crashes on mesa). It's an obvious
      fix for a crash that happens after the previous
      workaround (we now hit what appears to be an
      unrelated bug).
    - adding patch from claudio to workaround bug #34090
      (metisse/neverball crash).  It just avoids the crash until
      we have the real fix, but it's a safe workaround.

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - New upstream release: 7.0
    - Redid patches linux-dri-config and radeon-0depthbits
    - Removed patch: google_earth: there is a DRI runtime config option to configure
      the fallback checking.
    - New upstream release: 6.5.3
    - Fix some texture data corruption

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for expat

